possibility to suppress labels for small features

2010-05-25 04:37 AM - Marco Hugentobler

Status: Closed

Priority: Low

Assignee: Martin Dobias

Category: C++ Plugins

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 12807

Description

In some situations, user wants to avoid labeling for very small features even if there are no label position conflicts.

The attached patch adds the capability of suppressing labeling for small features. The user specifies a minimum size in mm and

pallabeling.cpp checks the length / area of a features vs. the minimum value (or the square of the minimum value for polygons) before

sending the label to pal.

History

#1 - 2010-05-25 07:03 PM - Mathieu Pellerin - nIRV

+1, I've been dreaming of such a feature.

#2 - 2010-05-29 03:33 AM - Martin Dobias

- Resolution set to fixed

- Status changed from Open to Closed

Applied in commit:3b280fa7 (SVN r13588)

Files

100525_labelpatch.diff 11.7 KB 2010-05-25 Marco Hugentobler
